Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 791016 - net-libs/libtorrent-rasterbar-1.2.12 does not respect CFLAGS/LDFLAGS
Summary: net-libs/libtorrent-rasterbar-1.2.12 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: cflags ldflags
  Show dependency tree
 
Reported: 2021-05-19 06:34 UTC by Agostino Sarubbo
Modified: 2022-06-25 21:18 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,614.48 KB, text/plain)
2021-05-19 06:34 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-05-19 06:34:14 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-libs/libtorrent-rasterbar-1.2.12 does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2021-05-19 06:34:17 UTC
Created attachment 709737 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2022-06-25 21:18:31 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d9916f56c377aab4143f2f2b157f62d97e2da0f

commit 0d9916f56c377aab4143f2f2b157f62d97e2da0f
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2022-06-25 21:18:17 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2022-06-25 21:18:17 +0000

    net-libs/libtorrent-rasterbar: drop 1.2.15-r1, 1.2.16, 2.0.5
    
    Closes: https://bugs.gentoo.org/775104
    Closes: https://bugs.gentoo.org/791016
    Closes: https://bugs.gentoo.org/832424
    Signed-off-by: David Seifert <soap@gentoo.org>

 net-libs/libtorrent-rasterbar/Manifest             |  3 -
 .../libtorrent-rasterbar-2.0.5-boost-1.78.patch    | 46 -------------
 .../libtorrent-rasterbar-1.2.15-r1.ebuild          | 69 -------------------
 .../libtorrent-rasterbar-1.2.16.ebuild             | 69 -------------------
 .../libtorrent-rasterbar-2.0.5.ebuild              | 78 ----------------------
 5 files changed, 265 deletions(-)